# $Revision: 1.40 $, $Date: 2009/06/18 13:59:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Error - error/exception handling in an OO-ish way
Summary(pl.UTF-8):	Error - obiektowa obsługa błędów/wyjątków
Name:		perl-Error
Version:	0.17015
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Error/Error-%{version}.tar.gz
# Source0-md5:	203bc410ae5040e7b647a52aa0fabafe
URL:		http://search.cpan.org/dist/Error/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Error Perl module provides two interfaces. Firstly Error provides
a procedural interface to exception handling. Secondly Error is a base
class for errors/exceptions that can either be thrown, for subsequent
catch, or can simply be recorded.

%description -l pl.UTF-8
Moduł Perla Error udostępnia dwa interfejsy. Po pierwsze, interfejs
proceduralny do obsługi wyjątków. Po drugie, klasę bazową dla
błędów/wyjątków, które mogą być albo przerzucone dla późniejszego
przejęcia, albo po prostu zarejestrowane.

- obiektowa obsługa błędów/wyjątków.

%prep
%setup -q -n Error-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Error.pm
%dir %{perl_vendorlib}/Error
%{perl_vendorlib}/Error/Simple.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Error.spec,v $
Revision 1.40  2009/06/18 13:59:55  amateja
- updated to 0.17015

Revision 1.39  2008/10/13 23:32:55  glen
- generic url

Revision 1.38  2008/07/27 22:34:03  arekm
- release 7

Revision 1.37  2007-02-13 07:16:55  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.35  2004/10/24 14:40:48  paladine
- spelling fix

Revision 1.34  2004/05/07 00:39:42  ankry
- rel. 6

Revision 1.33  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 15:56:24  ankry
- rel. 5 for Ac

Revision 1.31  2004/04/24 23:49:53  ankry
- tests added

Revision 1.30  2004/04/20 08:33:11  ankry
- better summary/description, license fixes and unification

Revision 1.29  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:32:00  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/20 15:14:29  kloczek
- release 3.

Revision 1.20  2002/07/20 07:14:16  qboosh
- new %%doc

Revision 1.19  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 21:32:34  marcus
- rel.2.

Revision 1.17  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:26:03  depesz
adapterized

Revision 1.15  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/18 10:44:47  mis
- autoupdated to 0.15

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/05/15 11:06:03  mis
- autoupdated to 0.14

Revision 1.11  2001/04/17 12:08:21  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/12 02:19:07  kloczek
- release 2: use new rpm automation and rebuild against perl 5.6.

Revision 1.8  2000/08/16 16:55:30  kloczek
- updated to 0.13.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:49  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
